Package ghidra.trace.database.symbol

# Class DBTraceSymbolMultipleTypesWithAddressView<T extends AbstractDBTraceSymbol>

java.lang.Object
ghidra.trace.database.symbol.DBTraceSymbolMultipleTypesView<T>
ghidra.trace.database.symbol.DBTraceSymbolMultipleTypesWithAddressView<T>

All Implemented Interfaces:
  `TraceSymbolView<T>`, `TraceSymbolWithAddressView<T>`

Direct Known Subclasses:
  `DBTraceSymbolMultipleTypesWithAddressNoDuplicatesView`

public class DBTraceSymbolMultipleTypesWithAddressView<T extends AbstractDBTraceSymbol> extends DBTraceSymbolMultipleTypesView<T> implements TraceSymbolWithAddressView<T>

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.symbol.DBTraceSymbolMultipleTypesView

  `manager, parts`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceSymbolMultipleTypesWithAddressView(DBTraceSymbolManager manager, AbstractDBTraceSymbolSingleTypeWithAddressView<? extends T>... parts)`
  `DBTraceSymbolMultipleTypesWithAddressView(DBTraceSymbolManager manager, Collection<? extends AbstractDBTraceSymbolSingleTypeWithAddressView<? extends T>> parts)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<? extends T>`
  `getAt(Address address, boolean includeDynamicSymbols)`
  Get symbols in this view containing the given address.
  `T`
  `getChildWithNameAt(String name, Address address, TraceNamespaceSymbol parent)`
  Get the child of the given parent having the given name at the given address.
  `Collection<? extends T>`
  `getIntersecting(AddressRange range, boolean includeDynamicSymbols)`
  Get symbols in this view intersecting the given address range.
  `protected Collection<? extends AbstractDBTraceSymbolSingleTypeWithAddressView<? extends T>>`
  `getParts()`

  ### Methods inherited from class ghidra.trace.database.symbol.DBTraceSymbolMultipleTypesView

  `getAll, getChildren, getChildrenNamed, getManager, getNamed, getWithMatchingName, scanByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceSymbolView

  `getAll, getChildren, getChildrenNamed, getGlobals, getGlobalsNamed, getManager, getNamed, getTrace, getWithMatchingName, scanByName, size`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceSymbolWithAddressView

  `getGlobalWithNameAt, hasAt`

- ## Constructor Details

  - ### DBTraceSymbolMultipleTypesWithAddressView

    public DBTraceSymbolMultipleTypesWithAddressView(DBTraceSymbolManager manager, Collection<? extends AbstractDBTraceSymbolSingleTypeWithAddressView<? extends T>> parts)

  - ### DBTraceSymbolMultipleTypesWithAddressView

    @SafeVarargs public DBTraceSymbolMultipleTypesWithAddressView(DBTraceSymbolManager manager, AbstractDBTraceSymbolSingleTypeWithAddressView<? extends T>... parts)

- ## Method Details

  - ### getParts

    protected Collection<? extends AbstractDBTraceSymbolSingleTypeWithAddressView<? extends T>> getParts()

  - ### getChildWithNameAt

    public T getChildWithNameAt(String name, Address address, TraceNamespaceSymbol parent)
    Description copied from interface: `TraceSymbolWithAddressView`
    Get the child of the given parent having the given name at the given address.
    Specified by:
      `getChildWithNameAt` in interface `TraceSymbolWithAddressView<T extends AbstractDBTraceSymbol>`
    Parameters:
      `name` - the name of the symbol
      `address` - the address of the symbol
      `parent` - the parent namespace
    Returns:
      the symbol, or null

  - ### getIntersecting

    public Collection<? extends T> getIntersecting(AddressRange range, boolean includeDynamicSymbols)
    Description copied from interface: `TraceSymbolWithAddressView`
    Get symbols in this view intersecting the given address range.
    Specified by:
      `getIntersecting` in interface `TraceSymbolWithAddressView<T extends AbstractDBTraceSymbol>`
    Parameters:
      `range` - the range
      `includeDynamicSymbols` - true to include dynamically-generated symbols
    Returns:
      the symbols in this view satisfying the query

  - ### getAt

    public Collection<? extends T> getAt(Address address, boolean includeDynamicSymbols)
    Description copied from interface: `TraceSymbolWithAddressView`
    Get symbols in this view containing the given address.
    Specified by:
      `getAt` in interface `TraceSymbolWithAddressView<T extends AbstractDBTraceSymbol>`
    Parameters:
      `address` - the address of the symbol
      `includeDynamicSymbols` - true to include dynamically-generated symbols
    Returns:
      the symbols in this view satisfying the query